package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.TeacherSalaryConfirmStatus;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

public class TeacherCourseReward {
    private Long id;

    private String musicGroupId;

    private String groupType;

    private String courseScheduleIdList;

    private String courseGroupName;

    private Integer organId;

    private String organName;

    private Integer teacherId;

    private String teacherName;

    private BigDecimal expectRewardAmount;

    private BigDecimal actualRewardAmount;

    private String memo;

    private Date createTime;

    private Date updateTime;

    private YesOrNoEnum settlementStatus;

    private Date settlementDate;

    private TeacherSalaryConfirmStatus confirmStatus;

    public TeacherSalaryConfirmStatus getConfirmStatus() {
        return confirmStatus;
    }

    public void setConfirmStatus(TeacherSalaryConfirmStatus confirmStatus) {
        this.confirmStatus = confirmStatus;
    }

    public YesOrNoEnum getSettlementStatus() {
        return settlementStatus;
    }

    public void setSettlementStatus(YesOrNoEnum settlementStatus) {
        this.settlementStatus = settlementStatus;
    }

    public Date getSettlementDate() {
        return settlementDate;
    }

    public void setSettlementDate(Date settlementDate) {
        this.settlementDate = settlementDate;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getCourseScheduleIdList() {
        return courseScheduleIdList;
    }

    public void setCourseScheduleIdList(String courseScheduleIdList) {
        this.courseScheduleIdList = courseScheduleIdList;
    }

    public String getCourseGroupName() {
        return courseGroupName;
    }

    public void setCourseGroupName(String courseGroupName) {
        this.courseGroupName = courseGroupName;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public BigDecimal getExpectRewardAmount() {
        return expectRewardAmount;
    }

    public void setExpectRewardAmount(BigDecimal expectRewardAmount) {
        this.expectRewardAmount = expectRewardAmount;
    }

    public BigDecimal getActualRewardAmount() {
        return actualRewardAmount;
    }

    public void setActualRewardAmount(BigDecimal actualRewardAmount) {
        this.actualRewardAmount = actualRewardAmount;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}
